%define module_version 3.004
%define module_name App-CPAN2Pkg
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Devel/Platform/Info/Linux.pm) perl(Exporter/Lite.pm) perl(File/ShareDir/PathClass.pm) perl(File/Spec.pm) perl(Find/Lib.pm) perl(FindBin.pm) perl(Getopt/Long/Descriptive.pm) perl(HTML/TreeBuilder.pm) perl(HTTP/Request.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/ClassAttribute.pm) perl(MooseX/Has/Sugar.pm) perl(MooseX/POE.pm) perl(MooseX/SemiAffordanceAccessor.pm) perl(MooseX/Singleton.pm) perl(POE.pm) perl(POE/Component/Client/HTTP.pm) perl(POE/Loop/Tk.pm) perl(POE/Wheel/Run.pm) perl(Path/Class.pm) perl(Pod/Coverage/TrustPod.pm) perl(Readonly.pm) perl(Term/ANSIColor.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
BuildRequires: perl(Tk.pm) perl(Tk/Balloon.pm) perl(Tk/HList.pm) perl(Tk/NoteBook.pm) perl(Tk/PNG.pm) perl(Tk/ROText.pm) perl(Tk/Role/HasWidgets.pm) perl(Tk/Sugar.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.004
Release: alt1
Summary: generating native linux packages from cpan
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/App-CPAN2Pkg/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JQ/JQUELIN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes AUTHOR_PLEDGE LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Jun 16 2016 Igor Vlasenko <viy@altlinux.ru> 3.004-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 3.002-alt1
- initial import by package builder

